//返回顶部
document.writeln('<div id="kfbacktop" class="kfbacktop"><a id="backTop" href="javascript:;" style="display: block;" target="_self"><i></i></a></div>');
function backfuc(){jQuery(this).scrollTop() > 100 ? jQuery("#kfbacktop").css("display","block"):jQuery("#kfbacktop").css("display","none");}
jQuery(function(){jQuery("#backTop").click(function(){jQuery("html,body").animate({scrollTop:0},500)});backfuc();jQuery(window).bind("scroll", backfuc).bind('resize', backfuc);})


$(function(){
	if(typeof(yang) != "undefined"){	
		//首页	
		if(yang.page == 1){
			indexPpt();	
			floatGmae();
			hoverShow();
			yScroll();
			$(".g-tb-cont li").hover(function(){
				$(this).find("a").prepend;
				$(this).find("img").hide();	
			},function(){
				$(this).find("em").remove();	
				$(this).find("img").show();
			})	
		}	
		//通用
		generalTab();
			
	}
        if(typeof(yang) != "undefined")
	if(yang.gx == "tupian"){					
		$(".g-pic-news dd a").hover(function(){
			$(this).find("strong").css("opacity","1")
			//$(this).find("strong").show();
		},function(){
			//$(this).find("strong").hide();	
			$(this).find("strong").css("opacity","0")
		})			
	}
})
 

	
function generalTab(){
	$(".m-tab-box").each(function(){
		$(this).find(".m-tab-btn li:first").addClass("m-hover");
		$(this).find(".m-tab-cont:gt(0)").hide();
	})
	$(".m-tab-btn li").hover(function(){
		var thisObj = $(this);		
		setTimer = setTimeout(function(){
			thisObj.addClass("m-hover").siblings("li").removeClass("m-hover");
			var n = thisObj.index();
			thisObj.parents(".m-tab-box").find(".m-tab-cont").eq(n).show().siblings(".m-tab-cont").hide();
		},160)	
	},function(){
		clearTimeout(setTimer);
	})
}
function indexPpt(){
	$(".m-ppt").each(function(){
		$(this).find("div a:gt(0)").hide();
		$(this).find("ul li:first").addClass("m-hover");	
	})
	$(".m-ppt ul li").click(function(){
		$(this).addClass("m-hover").siblings("li").removeClass("m-hover");
		var n = $(this).index();
		$(this).parents(".m-ppt").find("div a").eq(n).show().siblings("a").hide();
		$(this).parents(".m-ppt").attr("data-num",n);
	})
	var pptSize = $(".m-ppt div a").length-1;
	window.setInterval(function(){
		var numN = $(".m-ppt").attr("data-num");
		if(numN < pptSize){
			numN++;
			$(".m-ppt div a").eq(numN).show().siblings("a").hide();	
			$(".m-ppt ul li").eq(numN).addClass("m-hover").siblings("li").removeClass("m-hover");
			$(".m-ppt").attr("data-num",numN);
		}else{
			numN=0;	
			$(".m-ppt div a").eq(numN).show().siblings("a").hide();	
			$(".m-ppt ul li").eq(numN).addClass("m-hover").siblings("li").removeClass("m-hover");
			$(".m-ppt").attr("data-num",numN);
		}		
	},5000)
}

function floatGmae(){	
	$(".m-float-attr .m-game-attr li").hover(function(){
		var gameLink = $(this).find("a").attr("href");
		var gameName = $(this).find("a strong").text().replace(/\s+/g,'');
		var gameIntrod = $(this).find("p").html();	
		var floatHtml = '<div class="m-recomd-float"><i></i><b></b><dl><dt><a href="'+gameLink+'">'+gameName+'</a></dt><dd><p>'+gameIntrod+'</p><a href="'+gameLink+'">立即下载</a></dd></dl></div>';
		var showTop = $(this).offset().top;
		var showLeft = $(this).offset().left+90; 
		$(this).parents(".m-float-attr").append(floatHtml);
		console.log($(".m-recomd-float").length+"======="+showTop+"========="+showLeft)
		$(".m-recomd-float").css({"left":showLeft,"top":showTop})
		
	},function(){
		$(".m-recomd-float").remove();
	})
}

function hoverShow(){
	$(".m-hover-show").each(function(){
		$(this).find("li:first").addClass("m-hover");		
	})
	$(".g-rank-ul").each(function(){
		$(this).find("li i:lt(3)").css("background","#fa4e57");
	})
	$(".m-hover-show li").hover(function(){
		$(this).addClass("m-hover").siblings("li").removeClass("m-hover");	
	})
}


function yScroll(){
	$(".m-y-scroll").each(function(){
		var liSize = $(this).find(".g-rp-scrollul li").length;	
		var hideSize = liSize-4;
		var liWidth = $(this).find(".g-rp-scrollul li").outerWidth(true);
		var ulWidth = liSize*liWidth;
		console.log(hideSize)
		$(this).find(".g-rp-scrollul").width(ulWidth);
		$(".g-scroll-right").click(function(){
			if(!$(this).parents(".m-y-scroll").find(".g-rp-scrollul").is(":animated")){
				var dataNum = $(this).parents(".m-y-scroll").attr("data-num");			
				if(dataNum < hideSize){
					dataNum++;
					$(this).parents(".m-y-scroll").find(".g-rp-scrollul").animate({left:"-="+liWidth},200);
					$(this).parents(".m-y-scroll").attr("data-num",dataNum);
				}else{
					dataNum=0;
					$(this).parents(".m-y-scroll").find(".g-rp-scrollul").animate({left:0},200);
					$(this).parents(".m-y-scroll").attr("data-num",dataNum);
				}	
			}
		});
		$(".g-scroll-left").click(function(){
			if(!$(this).parents(".m-y-scroll").find(".g-rp-scrollul").is(":animated")){
				var dataNum = $(this).parents(".m-y-scroll").attr("data-num");			
				if(dataNum >0){
					dataNum--;
					$(this).parents(".m-y-scroll").find(".g-rp-scrollul").animate({left:"+="+liWidth},200);
					$(this).parents(".m-y-scroll").attr("data-num",dataNum);
				}else{
					dataNum=hideSize;
					$(this).parents(".m-y-scroll").find(".g-rp-scrollul").animate({left:-(ulWidth-874)},200);
					$(this).parents(".m-y-scroll").attr("data-num",dataNum);
				}	
			}
		});
	});
	
}